# -- Theme Options --
# These options control how the theme functions and allow you to
# customise the display of your website.
#
# Refer to the theme docs for more details about each of these parameters.
# https://nunocoracao.github.io/blowfish/docs/configuration/#theme-parameters

colorScheme = "blowfish"
defaultAppearance = "dark" # valid options: light or dark
autoSwitchAppearance = true

enableSearch = true
enableCodeCopy = true

mainSections = ["docs"]
# robots = ""

[header]
  layout = "fixed" # valid options: basic, fixed

[footer]
  showMenu = true
  showCopyright = true
  showThemeAttribution = true
  showAppearanceSwitcher = true
  showScrollToTop = true

[homepage]
  layout = "custom" # valid options: page, profile, hero, card, background, custom
  homepageImage = "/img/iceland.jpg" # used in: hero, and card
  showRecent = false
  showRecentItems = 10
  showMoreLink = true
  showMoreLinkDest = "docs"
  cardView = true
  cardViewScreenWidth = false
  layoutBackgroundBlur = true # only used when layout equals background

[article]
  showDate = false
  showViews = true
  showLikes = true
  showDateUpdated = false
  showAuthor = true
  showHero = true
  heroStyle = "background" # valid options: basic, big, background
  layoutBackgroundBlur = true # only used when heroStyle equals background
  showBreadcrumbs = true
  showDraftLabel = true
  showEdit = true
  editURL = "https://github.com/nunocoracao/blowfish/tree/main/exampleSite/content"
  editAppendPath = true
  seriesOpened = false
  showHeadingAnchors = true
  showPagination = true
  invertPagination = false
  showReadingTime = true
  showTableOfContents = true
  showTaxonomies = true 
  showAuthorsBadges = true 
  showWordCount = false
  showSummary = true
  sharingLinks = [ "linkedin", "twitter", "whatsapp", "pinterest", "reddit", "facebook", "email"]

[list]
  showHero = true
  heroStyle = "background" # valid options: basic, big, background
  layoutBackgroundHeaderSpace = false
  showBreadcrumbs = false
  showSummary = false
  showViews = true
  showLikes = true
  showTableOfContents = true
  showCards = true
  groupByYear = false
  cardView = true
  cardViewScreenWidth = false

[sitemap]
  excludedKinds = ["taxonomy","term"]

[taxonomy]
  showTermCount = true

[firebase]
  apiKey = "AIzaSyB5tqlqDky77Vb4Tc4apiHV4hRZI18KGiY"
  authDomain = "blowfish-21fff.firebaseapp.com"
  projectId = "blowfish-21fff"
  storageBucket = "blowfish-21fff.appspot.com"
  messagingSenderId = "60108104191"
  appId = "1:60108104191:web:039842ebe1370698b487ca"
  measurementId = "G-PEDMYR1V0K"

[fathomAnalytics]
  # site = "ABC12345"
  # domain = "llama.yoursite.com"

[buymeacoffee]
  identifier = "nunocoracao"
  globalWidget = true
  globalWidgetMessage = ""
  globalWidgetColor = "#FFDD00"
  globalWidgetPosition = "Right"

[verification]
  # google = ""
  # bing = ""
  # pinterest = ""
  # yandex = ""
